#
# spec file for package ghc-http-conduit
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name http-conduit
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        2.2.3.2
Release:        lp150.1.8
Summary:        HTTP client package with conduit interface and HTTPS support
License:        BSD-2-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-conduit-extra-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-http-client-devel
BuildRequires:  ghc-http-client-tls-devel
BuildRequires:  ghc-http-types-devel
BuildRequires:  ghc-lifted-base-devel
BuildRequires:  ghc-monad-control-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-resourcet-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-transformers-devel
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-case-insensitive-devel
BuildRequires:  ghc-connection-devel
BuildRequires:  ghc-cookie-devel
BuildRequires:  ghc-data-default-class-devel
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-streaming-commons-devel
BuildRequires:  ghc-temporary-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-utf8-string-devel
BuildRequires:  ghc-wai-conduit-devel
BuildRequires:  ghc-wai-devel
BuildRequires:  ghc-warp-devel
BuildRequires:  ghc-warp-tls-devel
%endif

%description
Hackage documentation generation is not reliable. For up to date documentation,
please see: <http://www.stackage.org/package/http-conduit>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc ChangeLog.md README.md

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Mon Jul 17 2017 psimons@suse.com
- Update to version 2.2.3.2.
* Mon Feb 27 2017 psimons@suse.com
- Update to version 2.2.3.1 with cabal2obs.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 2.2.3 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 2.1.11 revision 0 with cabal2obs.
* Mon Jul  4 2016 mimi.vx@gmail.com
- update to 2.1.11
  * Switch to non-throwing behavior in Network.HTTP.Simple
* Sat May  7 2016 mimi.vx@gmail.com
- update to 2.1.10.1
  * Fix mistaken @since comments
* Sat Apr 16 2016 mimi.vx@gmail.com
- update to 2.1.10
  * Add the Network.HTTP.Simple module
* Tue Apr 12 2016 mimi.vx@gmail.com
- update to 2.1.9
  * cleanup
* Thu Aug 13 2015 mimi.vx@gmail.com
- update to 2.1.8
  * Move HasHttpManager from http-conduit to http-client
* Tue Aug  4 2015 mimi.vx@gmail.com
- update to 2.1.7.2
* Mon Jul 27 2015 mimi.vx@gmail.com
- update to 2.1.7.1
  * Deprecate conduitManagerSettings, re-export tlsManagerSettings
  * Deprecate withManager and withManagerSettings
* Mon Jul  6 2015 mimi.vx@gmail.com
- update to 2.1.5.1
* Tue May 19 2015 mimi.vx@gmail.com
- correct license to BSD-2-Clause
* Tue May  5 2015 mimi.vx@gmail.com
- updated to 2.1.5
- spec regenerated with cabal-rpm
  * no upstream changelog
* Mon Oct  7 2013 sbahling@suse.com
- Initial package - version 1.9.5.1
